---
title: Get Workflow version details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Workflows](https://developers.cloudflare.com/api/go/resources/workflows)

[Versions](https://developers.cloudflare.com/api/go/resources/workflows/subresources/versions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Workflow version details

client.Workflows.Versions.Get(ctx, workflowName, versionID, query) (\*[VersionGetResponse](<https://developers.cloudflare.com/api/go/resources/workflows#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/workflows/{workflow\_name}/versions/{version\_id}

Retrieves details for a specific deployed workflow version.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Tail Read``Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

workflowName string

maxLength64

minLength1

[Link to this property](<#(resource)%20workflows.versions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20workflow_name%20%3E%20(schema)>)

versionID string

formatuuid

[Link to this property](<#(resource)%20workflows.versions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20version_id%20%3E%20(schema)>)

<details>

<summary>

query VersionGetParams

</summary>

AccountID param.Field\[string]

<a href="#(resource)%20workflows.versions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows.versions%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type VersionGetResponse struct{…}

</summary>

ID string

formatuuid

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

ClassName string

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20class_name">Link to this property</a>

CreatedOn Time

formatdate-time

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

HasDag bool

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20has_dag">Link to this property</a>

<details>

<summary>

Language VersionGetResponseLanguage

The programming language of the workflow implementation.

</summary>

One of the following:

const VersionGetResponseLanguageJavascript VersionGetResponseLanguage = "javascript"

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20language%20%3E%20(member)%200">Link to this property</a>

const VersionGetResponseLanguagePython VersionGetResponseLanguage = "python"

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20language%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20language">Link to this property</a>

ModifiedOn Time

formatdate-time

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

WorkflowID string

formatuuid

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20workflow_id">Link to this property</a>

<details>

<summary>

Concurrency VersionGetResponseConcurrencyOptional

</summary>

Limit int64Optional

Maximum number of instances of this workflow that can run concurrently. Additional instances are queued and started as running instances complete. Must not exceed the account concurrency limit.

maximum9007199254740991

minimum1

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20concurrency%20%3E%20(property)%20limit">Link to this property</a>

</details>

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20concurrency">Link to this property</a>

<details>

<summary>

DefaultRetention VersionGetResponseDefaultRetentionOptional

</summary>

ErrorRetention int64Optional

Default error retention in milliseconds.

maximum9007199254740991

minimum-9007199254740991

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20default_retention%20%3E%20(property)%20error_retention">Link to this property</a>

SuccessRetention int64Optional

Default success retention in milliseconds.

maximum9007199254740991

minimum-9007199254740991

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20default_retention%20%3E%20(property)%20success_retention">Link to this property</a>

</details>

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20default_retention">Link to this property</a>

<details>

<summary>

Limits VersionGetResponseLimitsOptional

</summary>

Steps int64Optional

maximum9007199254740991

minimum1

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20limits%20%3E%20(property)%20steps">Link to this property</a>

</details>

<a href="#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)%20%3E%20(property)%20limits">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows.versions%20%3E%20(model)%20VersionGetResponse%20%3E%20(schema)>)

### Get Workflow version details

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/workflows"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  version, err := client.Workflows.Versions.Get(
    context.TODO(),
    "x",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    workflows.VersionGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", version.ID)
}
```

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "has_dag": true,
    "language": "javascript",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "concurrency": {
      "limit": 1
    },
    "default_retention": {
      "error_retention": -9007199254740991,
      "success_retention": -9007199254740991
    },
    "limits": {
      "steps": 1
    }
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "has_dag": true,
    "language": "javascript",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "concurrency": {
      "limit": 1
    },
    "default_retention": {
      "error_retention": -9007199254740991,
      "success_retention": -9007199254740991
    },
    "limits": {
      "steps": 1
    }
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```